# Repzo API - Rep Balance Summary

OpenAPI specification for Repzo Rep Balance Summary endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/rep-balance-summary`

#### GET /rep-balance-summary

**Summary:** Find rep balance summaries

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `rep` | query | string | Yes | The rep ID to get balance summary for |

| `page` | query | integer | No | Page number for pagination |

| `per_page` | query | integer | No | Number of items per page |

| `disabled` | query | boolean | No | Whether to include disabled records |

| `populatedKeys` | query | array | No | Keys to populate in the response |

##### Responses

**200** - Successful response

Content-Type: `application/json`

**400** - Bad request

**401** - Unauthorized

**500** - Internal server error

---

## Data Models

### RepBalanceSummary

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | Yes | Unique identifier for the rep balance summary |

| `rep` | string | Yes | Rep ID |

| `rep_name` | string | Yes | Rep name |

| `total_outstanding_balance_of_invoices_created_by_rep` | number | Yes | Total outstanding balance of invoices created by the rep |

## TypeScript Usage

See [rep-balance-summary-examples.md](./rep-balance-summary-examples.md) for detailed TypeScript usage examples.
